当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2008-09-23 12:19 

注册: 2008-09-23 11:50
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
今天更新管理器,安装更新时,突然提示:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
然后我在终端输入 sudo dpkg --configure -a
然后就显示
正在设置 initramfs-tools (0.85eubuntu39.2) ...
update-initramfs: deferring update (trigger activated)

正在设置 linux-image-2.6.24-19-generic (2.6.24-19.41) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-19-generic
Failed to symbolic-link boot/initrd.img-2.6.24-19-generic to initrd.img.
dpkg:处理 linux-image-2.6.24-19-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 17
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-bootinitrd.img-2.6.15-29-686
Cannot find /lib/modules/bootinitrd.img-2.6.15-29-686
update-initramfs: failed for /boot/initrd.img-bootinitrd.img-2.6.15-29-686
dpkg: 子进程 post-installation script 返回了错误号 1

我上网查了一下,好像是说/boot空间不够
接着@ubuntu8:~$ uname -a
Linux ubuntu8 2.6.24-19-generic #1 SMP Wed Aug 20 22:56:21 UTC 2008 i686 GNU/Linux
@ubuntu8:~$ dpkg --get-selections | grep linux
libselinux1 install
linux-generic install
linux-headers-2.6.24-16 install
linux-headers-2.6.24-16-generic install
linux-headers-2.6.24-18 install
linux-headers-2.6.24-18-generic install
linux-headers-2.6.24-19 install
linux-headers-2.6.24-19-generic install
linux-headers-generic install
linux-image-2.6.15-29-686 install
linux-image-2.6.24-16-generic install
linux-image-2.6.24-18-generic install
linux-image-2.6.24-19-generic install
linux-image-generic install
linux-libc-dev install
linux-restricted-modules-2.6.24-16-generic install
linux-restricted-modules-2.6.24-18-generic install
linux-restricted-modules-2.6.24-19-generic install
linux-restricted-modules-common install
linux-restricted-modules-generic install
linux-sound-base install
linux-ubuntu-modules-2.6.24-16-generic install
linux-ubuntu-modules-2.6.24-18-generic install
linux-ubuntu-modules-2.6.24-19-generic install
util-linux install
util-linux-locales

我该怎么做???本人菜鸟一个,麻烦各位大虾说的详细一些,不胜感激!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2008-09-23 12:27 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
我给你翻译一下:

dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
dpkg 软件包被损坏,你必须在手动执行“dpkg --configure -a”来修复这个问题。

现在楼主知道该怎么办了。


_________________
你是自由的。别人也是。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2008-09-23 12:47 

注册: 2008-09-23 11:50
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
是不是在终端输入 sudo dpkg --configure -a
开始显示
正在设置 initramfs-tools (0.85eubuntu39.2) ...
update-initramfs: deferring update (trigger activated)

正在设置 linux-image-2.6.24-19-generic (2.6.24-19.41) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-19-generic
Failed to symbolic-link boot/initrd.img-2.6.24-19-generic to initrd.img.
dpkg:处理 linux-image-2.6.24-19-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 17
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-bootinitrd.img-2.6.15-29-686
Cannot find /lib/modules/bootinitrd.img-2.6.15-29-686
update-initramfs: failed for /boot/initrd.img-bootinitrd.img-2.6.15-29-686
dpkg: 子进程 post-installation script 返回了错误号 1

这是什么意思??


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2008-09-23 13:50 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
我找到这么一句:
Try And Go Ointo Synaptic And Under "Repositories" On The Toolbar Check All The Boxes In All The Tabs.....
打开软件源,选中所有标签页下面的所有的库。


_________________
你是自由的。别人也是。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2008-09-26 9:31 

注册: 2008-09-23 11:50
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
打开“软件源”可依然不是
先是更新,然后又提示
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

哎……真是不明白了


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-04-11 10:17 
头像

注册: 2009-03-15 20:37
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我也是有这个问题。
不过我在终端下输入 sudo dpkg --configure -a 就行了
:em01


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-04-27 0:23 

注册: 2006-12-06 5:23
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
我也用了6楼的方法,很好用,3q


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-04-27 0:42 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
操作步骤,打开终端,执行命令:
1、sudo aptitude purge ~ilinux-image-.*\(\!`uname -r`\)
---删除旧内核,复制、粘贴一键搞定,可以简化菜单,节约空间,方便操作


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-04-29 21:09 

注册: 2008-11-05 18:23
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
qweone 写道:
我也是有这个问题。
不过我在终端下输入 sudo dpkg --configure -a 就行了
:em01

Right,thanks!!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-05-08 1:30 

注册: 2009-05-08 1:23
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
为什么我输入sudo dpkg --configure -a 后 提示
dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)
xcqkenl@ubuntu:~$ sudo dpkg --configure -a
dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)
请问如何处理阿


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-05-08 1:31 

注册: 2009-05-08 1:23
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
希望高手给解答下 我是新手


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-06-27 19:33 
头像

注册: 2009-04-09 21:25
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
我的也是这个问题,但是在终端输入 sudo dpkg --configure -a 就解决了


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-09-10 8:47 

注册: 2009-05-31 10:31
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
make


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 菜鸟求教 E: dpkg was interrupted, you must manually run 'dpkg --
帖子发表于 : 2009-09-13 14:24 

注册: 2009-08-29 11:13
帖子: 43
送出感谢: 0 次
接收感谢: 0 次
我的还没有解决,气人啊


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译